Summary: Geeqie Image Viewer
Summary(ja): Geeqie 画像ビューア
Name: geeqie
Version: 1.0
Release: 7%{?_dist_release}

License: GPLv2
Group: Applications/Multimedia
URL: http://geeqie.sourceforge.net/

Source: %{name}-%{version}.tar.gz
Source1: %{name}-1.0-2.1-ja.po

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: lcms-devel >= 1.14
BuildRequires: exiv2-devel >= 0.18.1

Vendor: Project Vine
Distribution: Vine Linux

%description
Geeqie is a lightweight Gtk+ based image viewer.

%description -l ja
Geeqie は gtk+ ベースの軽量な画像ファイルブラウザです。

%prep
%setup -q -n %{name}-%{version}
%__cp -f %{SOURCE1} po/ja.po

%build
%configure
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT

%__make DESTDIR=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} installed-doc

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README COPYING TODO ChangeLog
%doc installed-doc/html
%{_bindir}/*
%{_datadir}/*
%{_prefix}/lib/%{name}/*


%changelog
* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0-7
- rebuild with exiv2-0.23

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0-6
- rebuild with exiv2-0.22

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-5
- rebuilt with exiv2-0.21.1

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.0-4
- rebuilt with rpm-4.8.1-3

* Sat May 08 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0-3
- rebuilt with exiv2-0.19 again (rel+1)

* Wed May  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-2
- rebuilt with exiv2-0.19
- added BR: lcms-devel

* Mon Mar  8 2010 KATO Masashi <mkato@par.odn.ne.jp> 1.0-1
- new upstream release
- renamed spec file to %{name}-vl.spec. (new naming policy)

* Sun Jul 19 2009 Shu KONNO <owa@bg.wakwak.com> 1.0-0.9.beta2
- fixed scripts directory in %%files

* Fri Jul 17 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0-0.8.beta2
- new upstream release
- updated ja.po

* Mon Jun 22 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0-0.7.beta1
- updated ja.po
- udded synlink for documents(for beta version only)

* Thu Jun 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.6.beta1
- update to 1.0beta1

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.5.alpha4
- rebuild with exiv2-0.18.1

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.4.alpha3
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.3.alpha2
- rebuild with new exiv2

* Sat Aug 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.2.alpha2
- new upstream release

* Sun May 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.1.alpha1
- initial build for Vine Linux

